%define module_version 0.03
%define module_name Zed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Socket.pm) perl(Data/Printer.pm) perl(File/Spec.pm) perl(Module/Build/Tiny.pm) perl(Module/Runtime.pm) perl(Net/OpenSSH.pm) perl(Path/Tiny.pm) perl(Pod/Find.pm) perl(Pod/Usage.pm) perl(Term/ANSIColor.pm) perl(Term/ReadLine.pm) perl(Term/ReadLine/Gnu.pm) perl(Term/ReadPassword.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Remote execution shell over SSH
Group: Development/Perl
License: perl
URL: https://github.com/sawater/Zed

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZU/ZUYIS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Zed is remote execution shell over SSH with many plugins to help you to manage servers.

Features below:

=over 4

=item execution over SSH

=item transfer file over scp

=item port detection

=item flexible way to manage targets

=item easy to type cmd with completion

=back

(Servers will not disconnect until you quit. So Large mount of servers may cause memory problem)

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/Z*

%files scripts
%_bindir/*

%changelog
* Wed Sep 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Mon Sep 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

